/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.multivaluesmapexampleguava;

import com.google.common.collect.ArrayListMultimap;
import com.google.common.collect.Multimap;

/**
 *
 * @author omozegieaziegbe
 */
public class MultiValuesMapExampleGuava {

    public static void main(String[] args) {
       // Create a Multimap using ArrayListMultimap
       
        Multimap<String, String> multimap = ArrayListMultimap.create();

        // Add values to a single key
        multimap.put("Charles", "Great Expectations");
        multimap.put("Charles", "Tale of Two Cities");

        // Add more values to a different key
        multimap.put("Thomas", "Age of Reason");
        multimap.put("Thomas", "Common Sense");

        // Retrieve values for a key
        System.out.println("Books by Charles: " + multimap.get("Charles"));
        System.out.println("Books by Thomas: " + multimap.get("Thomas"));
    }
}